#include <iostream>

using namespace std;

int main(){
	int n,x,max,min,vr;
	cin>>n;
	cin>>x;
	int a[n];	
	max=0;
	min=0;
	for(int i=0;i<n;i++){
		cin>>a[i];
		if(a[i]>a[max])
			max=i;
		else if(a[i]<a[min])
			min=i;
	}
	vr=0;
	if(a[min]<=x && a[max]>=x)
		vr=x-a[min]+a[max]-a[min];
	else if(a[min]<x && a[max]<min)
		vr=x-a[min];
	else if(a[min]>x && a[max]>x)
		vr=a[max]-x;
		
	cout<<endl<<endl<<vr;
}